Subject: Re: [RFC PATCH net-next 1/5] selftests: forwarding: Introduce deferred commands

From: Petr Machata <[email-masked]>
Date: Tue, 27 Aug 2024 17:37:36 +0200

Jakub Kicinski <[email-masked]> writes:

> On Tue, 27 Aug 2024 10:53:53 +0200 Petr Machata wrote:
>> >> I can do it, but it's gonna be more pain in setting up those
>> >> TEST_INCLUDES. People will forget. It will be a nuisance.
>> >> I'm thinking of just moving it to net/lib.sh, from forwarding.  
>> >
>> > what about separate file, but included from net/lib.sh?  
>> 
>> Unfortunately that would be even worse. Then you need to remember to put
>> the file into TEST_INCLUDES despite seemingly not using it.
>> 
>> Like ideally we'd have automation for this. But I don't know how to do that
>> without actually parsing the bash files, and that's just asking for
>> trouble. Maybe after the defer stuff we also need a module system :-/
>
> FWIW we could throw it into net/lib, which has a fake target, see:
>
> b86761ff6374 ("selftests: net: add scaffolding for Netlink tests in Python")

Oh, I see net/lib is the default dependency of everything net.
This could work. I'll check it out.